import unittest
import validate
import os

class TestValidate(unittest.TestCase):
    def testSMLSyntaxValidate(self):
        input = "foo<b>bar</b>"
        rc = validate.SMLSyntaxValidate(input)
        assert(rc == 1)
    def testSMLEquivalenceValidate(self):
        input1 = "<EM> xxx <EM> yyy </EM> zzz </EM>"
        input2 = "<EM> xxx</EM> yyy <EM> zzz </EM>"
        rc = validate.SMLEquivalenceValidate(input1, input2)
        assert(rc == 1)

    def testSyntaxByFile(self):
        files = os.listdir('sample')
        for file in files:
            if file[-3:] == 'sml':
                infile = "sample/%s" % (file)
                f = open(infile, "r")
                data = f.read()
                f.close()
                rc = validate.SMLSyntaxValidate(data)
                assert(rc == 1)

if __name__ == "__main__":
    unittest.main()
