#!/usr/bin/env python
# python 2.1+

import unittest
import smlgen
import validate
from smlng import *

from cStringIO import StringIO

class TestSMLGen(unittest.TestCase):
    def setUp(self):
        self.buffer = StringIO()

    def testGenerate(self):
        smlgen.generate(self.buffer, length=5000, roots=2, maxdepth=15)
        print self.buffer.getvalue()
        rc = validate.SMLSyntaxValidate(self.buffer.getvalue(), verbose=1)
        assert(rc == 1)

if __name__ == "__main__":
    unittest.main()
        
